<mamecheat version="1">

  <cheat desc="Infinite Bonus Time PL1">
    <script state="run">
      <action>maincpu.pb@FFE373=E7</action>
      <action>maincpu.pb@FFE372=03</action>
    </script>
  </cheat>

  <cheat desc="Select Perm. Next Shape PL1">
    <parameter>
      <item value="0x00">Red</item>
      <item value="0x01">Green</item>
      <item value="0x02">Purple</item>
      <item value="0x03">Yellow</item>
      <item value="0x04">Cyan</item>
      <item value="0x05">Orange</item>
      <item value="0x06">Blue</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FFE309=param</action>
    </script>
  </cheat>

  <cheat desc="Select Temp. Next Shape PL1">
    <parameter>
      <item value="0x00">Red</item>
      <item value="0x01">Green</item>
      <item value="0x02">Purple</item>
      <item value="0x03">Yellow</item>
      <item value="0x04">Cyan</item>
      <item value="0x05">Orange</item>
      <item value="0x06">Blue</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@FFE309=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Bonus Time PL2">
    <script state="run">
      <action>maincpu.pb@FFE3F3=E7</action>
      <action>maincpu.pb@FFE3F2=03</action>
    </script>
  </cheat>

  <cheat desc="Select Perm. Next Shape PL2">
    <parameter>
      <item value="0x00">Red</item>
      <item value="0x01">Green</item>
      <item value="0x02">Purple</item>
      <item value="0x03">Yellow</item>
      <item value="0x04">Cyan</item>
      <item value="0x05">Orange</item>
      <item value="0x06">Blue</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FFE389=param</action>
    </script>
  </cheat>

  <cheat desc="Select Temp. Next Shape PL2">
    <parameter>
      <item value="0x00">Red</item>
      <item value="0x01">Green</item>
      <item value="0x02">Purple</item>
      <item value="0x03">Yellow</item>
      <item value="0x04">Cyan</item>
      <item value="0x05">Orange</item>
      <item value="0x06">Blue</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@FFE389=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
